Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1052705 - [abrt] gdb: visit_decref(): gdb killed by SIGSEGV
Summary: [abrt] gdb: visit_decref(): gdb killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fdbfe93b2b3cec248aaa82c3c84...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 22:01 UTC by Lorenzo Pistone
Modified: 2015-06-29 14:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:25:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.28 KB, text/plain)
2014-01-13 22:01 UTC, Lorenzo Pistone
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-13 22:01 UTC, Lorenzo Pistone
no flags Details
File: core_backtrace (6.39 KB, text/plain)
2014-01-13 22:01 UTC, Lorenzo Pistone
no flags Details
File: dso_list (3.05 KB, text/plain)
2014-01-13 22:01 UTC, Lorenzo Pistone
no flags Details
File: environ (2.72 KB, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details
File: maps (19.29 KB, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details
File: open_fds (181 bytes, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details
File: var_log_messages (952 bytes, text/plain)
2014-01-13 22:02 UTC, Lorenzo Pistone
no flags Details

Description Lorenzo Pistone 2014-01-13 22:01:41 UTC
Version-Release number of selected component:
gdb-7.6.50.20130731-16.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx
crash_function: visit_decref
executable:     /usr/bin/gdb
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 visit_decref at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:429
 #1 list_traverse at /usr/src/debug/Python-2.7.5/Objects/listobject.c:2371
 #2 subtract_refs at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:456
 #3 collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:999
 #4 PyGC_Collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1514
 #5 Py_Finalize at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:444
 #6 do_my_cleanups at ../../gdb/cleanups.c:155
 #7 do_final_cleanups at ../../gdb/cleanups.c:186
 #8 quit_force at ../../gdb/top.c:1447
 #9 mi_cmd_execute at ../../gdb/mi/mi-main.c:2147

Comment 1 Lorenzo Pistone 2014-01-13 22:01:47 UTC
Created attachment 849640 [details]
File: backtrace

Comment 2 Lorenzo Pistone 2014-01-13 22:01:53 UTC
Created attachment 849641 [details]
File: cgroup

Comment 3 Lorenzo Pistone 2014-01-13 22:01:55 UTC
Created attachment 849642 [details]
File: core_backtrace

Comment 4 Lorenzo Pistone 2014-01-13 22:01:57 UTC
Created attachment 849643 [details]
File: dso_list

Comment 5 Lorenzo Pistone 2014-01-13 22:02:00 UTC
Created attachment 849644 [details]
File: environ

Comment 6 Lorenzo Pistone 2014-01-13 22:02:02 UTC
Created attachment 849645 [details]
File: exploitable

Comment 7 Lorenzo Pistone 2014-01-13 22:02:06 UTC
Created attachment 849646 [details]
File: limits

Comment 8 Lorenzo Pistone 2014-01-13 22:02:09 UTC
Created attachment 849647 [details]
File: maps

Comment 9 Lorenzo Pistone 2014-01-13 22:02:10 UTC
Created attachment 849648 [details]
File: open_fds

Comment 10 Lorenzo Pistone 2014-01-13 22:02:14 UTC
Created attachment 849649 [details]
File: proc_pid_status

Comment 11 Lorenzo Pistone 2014-01-13 22:02:17 UTC
Created attachment 849650 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:29:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:25:57 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.